[Deprecated]: V1
put
/ec-dc-svc/rest/v1/studies/{studyId}/{mode}/subjects/{subjectId}/codebreak
Deprecated: Performs code break for the specified subject.
Caution: This operation unblinds subject information. Depending on subject settings, this action might also withdraw the subject.
Rights: DataCaptureCodeBreakPost.
Caution: This operation unblinds subject information. Depending on subject settings, this action might also withdraw the subject.
Rights: DataCaptureCodeBreakPost.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
subjectId(required): string(uuid)
ID of the subject on whom you want to perform code break.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectReason and comment to justify operation.
Show Source
-
comment: string
Minimum Length:
0Maximum Length:2048CommentExample:Removing incorrect data captured by mistake -
reason: string
Minimum Length:
0Maximum Length:255ReasonExample:Incorrect entry
Response
Supported Media Types
- application/json
200 Response
Subjects success.
Nested Schema : DcsResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
400 Response
Bad request.
Root Schema : DcsResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.